%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(PSUtils\\)
%global __provides_exclude %{?__provides_exclude:%{__provides_exclude}|}^perl\\(PSUtils\\)

# we use bundled gnulib
%bcond_with psutils_enables_unbundling_gnulib

Summary:    PostScript utilities
Name:       psutils
Version:    2.07
Release:    5%{?dist}
License:    GPLv3+ and psutils
URL:        https://github.com/rrthomas/%{name}
Source0:    %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:    License.txt

BuildRequires: autoconf automake bash coreutils gcc grep make
BuildRequires: perl-generators sed paper perl-interpreter diffutils
BuildRequires: perl(:VERSION) perl(base) perl(Exporter) perl(Fcntl) perl(File::Basename)
BuildRequires: perl(File::Copy) perl(File::Spec::Functions) perl(File::Temp)
BuildRequires: perl(Getopt::Long)  perl(IPC::Run3) perl(List::Util) perl(POSIX) perl(strict) perl(warnings)
%if %{with psutils_enables_unbundling_gnulib}
BuildRequires: gnulib-devel
%endif
Provides:      bundled(gnulib)
Provides:      %{name}-perl = %{version}-%{release}
Requires:      paper
BuildArch:     noarch

%description
Utilities for manipulating PostScript documents.  Page selection and rearrangement are supported,
including arrangement into signatures for booklet printing, and page merging for n-up printing.

%prep
%autosetup -n %{name}-%{version} -p1
%if %{with psutils_enables_unbundling_gnulib}
gnulib-tool --import --no-changelog relocatable-perl
%endif
autoreconf -fi

%build
%configure --disable-relocatable
%make_build
 
%install
%make_install

%check
unset PSUTILS_UNINSTALLED
%make_build check

%files
%license COPYING
%doc README
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*.1*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.07-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.07-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.07-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.07-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 9 2023 Shuo Wang <abushwang@tencent.com> - 2.07-1
- initial build
